Subject: Re: [PATCH net v2] netfilter: nat: cope with negative port range

From: Eric Dumazet <[email-masked]>
Date: Wed, 14 Feb 2018 04:28:26 -0800

On Wed, 2018-02-14 at 12:13 +0100, Paolo Abeni wrote:
> syzbot reported a division by 0 bug in the netfilter nat code:

...

> Adding the relevant check at parse time could break existing
> setup, moreover we would need to read/write such values atomically
> to avoid possible transient negative ranges at update time.

I do not quite follow why it is so hard to add a check at parse time.

Breaking buggy setups would not be a concern I think.